<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');


$mostrarGestion=($_SESSION['operacion']['GestionTransformacionPUBPRI']=='S');



if($_POST['origen']=='calidad') {

	//La llamada por ajax puede provenir del control de calidad, en este caso el listado ya está asignado en una var de sesion

	$productosUtilizados=$_SESSION['ProductosUtilizados'];

}
else {

	//Si la llamada viene de las operaciones logisticas (no hay parametro origen), hay que buscar el palet concreto en el listado de obtenidos, para sacar el listado de utilizados

	//25-02-2026 SEPARAMOS LA LLAMADA PARA NO DESBORDAR. APP + FTP

	/*
	$listado=$_SESSION['operacion']['ProductosObtenidos'];
	
	if($_GET['palet']) $palet=$_GET['palet']; else $palet=$_POST['palet'];
	
	foreach($listado as $item) {
		if($item['ProductoPalet']==$palet) $lineaPalet=$item;
	}
	
	$productosUtilizados=arreglaArrayPXMobileProxiumResult($lineaPalet['ProductoUtilizados']);
	*/
	
	
	
	if( isset($_POST['palet']) && $_POST['palet'] ) $palet=$_POST['palet']; else $palet='';
	if( isset($_POST['empresa']) && $_POST['empresa'] ) $empresa=$_POST['empresa']; else $empresa='';
	if( isset($_POST['operacion']) && $_POST['operacion'] ) $operacion=$_POST['operacion']; else $operacion='';
	if( isset($_POST['codigo']) && $_POST['codigo'] ) $codigo=$_POST['codigo']; else $codigo='';
	if( isset($_POST['idioma']) && $_POST['idioma'] ) $idioma=$_POST['idioma']; else $idioma='';
	if( isset($_POST['precinta']) && $_POST['precinta'] ) $precinta=$_POST['precinta']; else $precinta='';
	if( isset($_POST['lote']) && $_POST['lote'] ) $lote=$_POST['lote']; else $lote='';
	if( isset($_POST['caducidad']) && $_POST['caducidad'] ) $caducidad=$_POST['caducidad']; else $caducidad='';
	if( isset($_POST['orden']) && $_POST['orden'] ) $orden=$_POST['orden']; else $orden='';
	
	$parametrosPeticion=$operacion.';'.$codigo.';'.$idioma.';'.$precinta.';'.$lote.';'.$caducidad.';'.$orden.';'.$palet;

	$peticion='SGAOperacionesLog#'.$empresa.'#'.$_SESSION['usuario']['Usuario'].'#DETALLEOPERACIONPRODUTILIZADOS#'.$parametrosPeticion;
	$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
	if($_GET['traza']=='si') {
		echo '<p>lote: '.$_POST['lote'].'</p>';
		echo '<p>caducidad: '.$_POST['caducidad'].'</p>';
		echo '<p>'.$peticion.'</p>';
		print_r($resultado[0]['ProductosObtener']);
	}
	
	$productosUtilizados=arreglaArrayPXMobileProxiumResult($resultado[0]['ProductosObtener']['PXMobileProxiumResult']['ProductoUtilizados']);
	
}
	
$mostrarRegimen=false;
foreach($productosUtilizados as $item) if($item['ProductoGestionRegimen']=='S') $mostrarRegimen=true;


?>

	<p><img src="<?php echo DIR_IMAGENES; ?>/transformaciones/materia-prima.png" width="52" height="52" style="vertical-align:middle;margin-right:10px"/><strong>Productos utilizados en esta Transformación:</strong></p>
	
	<table class="tablaFormateada noColorearAlternos" style="margin:0 auto">
    
		<tr>
        	<?php if($mostrarGestion) { ?>
        	<th>Gestión</th>
            <?php } ?>
            
			<th>Código</th>
			<th>Descripción</th>
            
            <?php if($mostrarRegimen) { ?>
        	<th>Régimen</th>
            <?php } ?>
            
			<th>Lote / Caducidad</th>
            <th>Entrada</th>
            <th>Cantidad</th>
		</tr>
        
        <?php $impar=false; ?>
        
		<?php foreach($productosUtilizados as $item) { ?>
        
        	<?php
			
			
			
			
			
			$tempCombinaciones=arreglaArrayPXMobileProxiumResult($item['ProductoLotes']);
			
			$combinaciones=array();
			foreach($tempCombinaciones as $item2) $combinaciones[]=$item2;
			
			$cuantasCombinaciones=count($combinaciones);
			
			if($cuantasCombinaciones>1) $rowspanUno='rowspan="'.$cuantasCombinaciones.'"';
			else $rowspanUno='';
			?> 
        
			<tr class="<?php if($impar) {?>coloreado<?php } ?> <?php if($cuantosPalets==1) { ?>ultimaFila<?php } ?>">
            
            	<?php if($mostrarGestion) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoGestion']; ?></td>
                <?php } ?>
            
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoCodigo']; ?></td>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoDescripcion']; ?></td>
                
                <?php if($mostrarRegimen) { ?>
                <td valign="middle" <?php echo $rowspanUno; ?>><?php echo $item['ProductoRegimen']; ?></td>
                <?php } ?>
                
                <td valign="middle"><?php echo $combinaciones[0]['PaletProductoLote'].' / '.fechaNacionalDesdeProxiumGuiones($combinaciones[0]['PaletProductoCaducidad']); ?></td>
                
                <td valign="middle"><?php echo $combinaciones[0]['PaletProductoEntrada']; ?></td>
                
                <td valign="right"><?php echo $combinaciones[0]['PaletProductoCantidad']; ?></td>
                
            </tr>
            
            <?php if($cuantasCombinaciones>1 ) { ?>
                    
            	<?php for($j=1;$j<$cuantasCombinaciones;$j++) { ?>
                        
                	<tr class="<?php if($impar) {?>coloreado<?php } ?>">
                    	<td valign="middle"><?php echo $combinaciones[$j]['PaletProductoLote'].' / '.fechaNacionalDesdeProxiumGuiones($combinaciones[$j]['PaletProductoCaducidad']); ?></td>
                        <td valign="middle"><?php echo $combinaciones[$j]['PaletProductoEntrada']; ?></td>
                		<td valign="right"><?php echo $combinaciones[$j]['PaletProductoCantidad']; ?></td>
					</tr>
                        
				<?php } ?>
                        
            <?php } ?>
            
            <?php $impar=!$impar; ?>
            
		<?php } ?>
        
	</table>
    
    <p><input type="button" name="button" id="botonCerrarInfoProductoObtenido" value="Cerrar" class="boton reducido" /></p>

<script>
	
	$(document).ready(function() {
	
		
		

	});
	
</script>
